$sm: 'sm'; // Portrait phones
$md: 'md'; // Tablets
$lg: 'lg'; // Laptops
$xl: 'xl'; // Desktops

$sm-breakpoint: 576px;
$md-breakpoint: 768px;
$lg-breakpoint: 992px;
$xl-breakpoint: 1200px;

@mixin breakpoint($breakpoint) {
  @if $breakpoint == $sm {
    @media (min-width: $sm-breakpoint) {
      @content;
    }
  } @else if $breakpoint == $md {
    @media (min-width: $md-breakpoint) {
      @content;
    }
  } @else if $breakpoint == $lg {
    @media (min-width: $lg-breakpoint) {
      @content;
    }
  } @else if $breakpoint == $xl {
    @media (min-width: $xl-breakpoint) {
      @content;
    }
  }
}
